%global srcname ics

Name:           python-%{srcname}
Version:        3.0
Release:        1%{?dist}
Summary:        Intrepidcs icsneo40 Python API/Wrapper

Group:          Development/Libraries
License:        MIT
URL:            https://github.com/intrepidcs/python_%{srcname}/
Source0:        https://github.com/intrepidcs/python_%{srcname}/archive/%{version}/python_%{srcname}-%{version}.tar.gz

%description
Python C Code module for interfacing to the icsneo40 dynamic library. Code tries
to respect PEP 8 (https://www.python.org/dev/peps/pep-0008/). Function naming
convention does not follow the tradition c style icsneo40 naming convention as
the python_ics module name acts as the namespace (icsneo portion of the
function) and function names are suppose to be lowercase with underscores
instead of mixedCase like icsneo API.


%package doc
Summary:        Documentation for the 'python_%{srcname}' python module
BuildRequires:  python%{python3_pkgversion}-sphinx
BuildRequires:  python%{python3_pkgversion}-sphinx_rtd_theme

BuildArch:      noarch

%description doc
Documentation for the 'python_%{srcname}' python module


%package -n python%{python3_pkgversion}-%{srcname}
Summary:        %{summary}
BuildRequires:  gcc-c++
BuildRequires:  python%{python3_pkgversion}-devel
Requires:       icsneoapi
%{?python_provide:%python_provide python%{python3_pkgversion}-%{srcname}}

%if 0%{?fedora} || 0%{?rhel} >= 8
Suggests:       %{name}-doc = %{version}-%{release}
%endif # fedora || rhel >= 8

%description -n python%{python3_pkgversion}-%{srcname}
Python C Code module for interfacing to the icsneo40 dynamic library. Code tries
to respect PEP 8 (https://www.python.org/dev/peps/pep-0008/). Function naming
convention does not follow the tradition c style icsneo40 naming convention as
the python_ics module name acts as the namespace (icsneo portion of the
function) and function names are suppose to be lowercase with underscores
instead of mixedCase like icsneo API.


%prep
%autosetup -p1 -n python_%{srcname}-%{version}


%build
%py3_build

PYTHONPATH=$PWD/build/lib.%{python3_platform}-%{python3_version} \
    %make_build -C doc html man SPHINXBUILD=sphinx-build-%{python3_version}
rm doc/build/html/.buildinfo


%install
%py3_install

install -m0644 -D doc/build/man/%{srcname}.1 %{buildroot}%{_mandir}/man1/%{srcname}.1


%files doc
%license README.md
%doc doc/build/html

%files -n python%{python3_pkgversion}-%{srcname}
%license README.md
%doc README.md
%{python3_sitearch}/%{srcname}.*.so
%{python3_sitearch}/python_%{srcname}-%{version}-py%{python3_version}.egg-info/
%{_mandir}/man1/%{srcname}.1.gz


%changelog
* Tue Apr 02 2019 Scott K Logan <logans@cottsay.net> - 3.0-1
- Update to 3.0

* Thu Sep 20 2018 Scott K Logan <logans@cottsay.net> - 2.15-1
- Initial package
